TEMPLATE	= app
LANGUAGE	= C++

CONFIG	+= qt warn_on release

INCLUDEPATH	+= src/model src/view src/base src/controller

HEADERS	+= Query.h \
	src/base/ObserverManager.h \
	src/model/HelperList.h \
	SerialPort.h \
	DetectCard.h \
	Popup.h \
	ConnectionInfo.h \
	src/controller/SIMHandler.h \
	Device.h \
	Runner.h \
	PPPConnection.h \
	TheSettingsSingleton.h \
	umtsmon_global.h \
	ValidatePIN.h \
	Profile.h \
	FileStuff.h \
	src/controller/NetworkChanger.h \
	ProgressDialog.h \
	ValidatePhoneNumber.h \
	src/view/LCDDisplay.h

SOURCES	+= Query.cpp \
	src/model/HelperList.cpp \
	SerialPort.cpp \
	main.cpp \
	DetectCard.cpp \
	ConnectionInfo.cpp \
	src/controller/NetworkChanger.cpp \
	src/controller/SIMHandler.cpp \
	Device.cpp \
	Runner.cpp \
	PPPConnection.cpp \
	TheSettingsSingleton.cpp \
	Profile.cpp \
	ProgressDialog.cpp \
	FileStuff.cpp \
	src/view/LCDDisplay.cpp

FORMS	= newprofiledialog.ui \
	src/view/enterpindialog.ui \
	enterpukdialog.ui \
	src/view/aboutdialog.ui \
	infodialog.ui \
	smsdialog.ui \
	mainwindow.ui \
	profiledialog.ui \
	networkoperatordialog.ui \
	src/view/helperlistgui.ui

IMAGES	= images/22/address-book-new-22x22.png \
	images/22/network-transmit-receive-22x22.png \
	images/22/network-offline-22x22.png \
	images/22/mail-message-new-22x22.png \
	images/22/applications-system-22x22.png \
	images/16/address-book-new-16x16.png \
	images/16/system-log-out-16x16.png \
	images/16/mail-message-new-16x16.png \
	images/16/help-browser-16x16.png \
	images/16/applications-system-16x16.png \
	images/16/dialog-information-16x16.png \
	images/16/system-search-16x16.png \
	images/no.png \
	images/ok.png \
	images/LCDDisplay/LCDBackground.png \
	images/LCDDisplay/LCDSignal.png

!exists(src/view/aboutdialog.ui) {
	system(sed -e '/@AUTHORS@/rAUTHORS' -e '/@COPYING@/rCOPYING' src/view/aboutdialog.base.ui -e '/@COPYING@/d;/@AUTHORS@/d' > src/view/aboutdialog.ui) {}
}






DISTFILES = \
	README \
	TODO \
	AUTHORS \
	COPYING

unix {
  UI_DIR = .ui
  MOC_DIR = .moc
  OBJECTS_DIR = .obj
}


